Update package feature data

Update the package feature data

put
Path parameters
packageIdstringRequired

The id of the package

featureIdstringRequired

The id of the feature

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body
typestring · enumRequiredPossible values:
titlestring · nullableOptional

The title of the feature. This title is used to display the feature in the UI.

valueinteger · int64 · nullableOptional

The value of the feature follow by package.

isUnlimitedbooleanOptional

Flag to indicate if the feature is unlimited. Default is false.

resetPolicystring · enumOptional

Defines the available reset policies for quotas. A reset policy determines how often a quota is replenished (e.g., daily, monthly, yearly).

Supported values:

  • Lifetime - Quota never resets, applies once per lifetime.
  • Daily - Quota resets every day.
  • Weekly - Quota resets every week.
  • Monthly - Quota resets every month.
  • Yearly - Quota resets every year.
  • Custom - Admin-defined reset interval (e.g., every 45 days).
Possible values:
customIntervalDaysinteger · int32 · nullableOptional

Optional number of days to use when Jfw.Api.Models.Dtos.BasePackageFeatureCommandRequestDto.ResetPolicy is set to Jfw.Core.EntityClasses.QuotaResetPolicy.Custom.

Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

databooleanRead-onlyOptional

This is the data to be returned to the client.

put
/api/v1/packages/{packageId}/features/{featureId}

Last updated